package com.foreverwin.mesnac.dispatch.service;

import com.foreverwin.mesnac.dispatch.model.SurplusItemReturn;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.Map;

/**
 * <p>
 * 余料退回 服务类
 * </p>
 *
 * @author Leon.L
 * @since 2021-07-10
 */
public interface SurplusItemReturnService extends IService<SurplusItemReturn> {

    /**
     * 查询库存信息
     * --物料编号&描述
     * --物料自定义字段
     * --库存数量
     *
     * @param site
     * @param inventory
     * @return
     */
    Map<String, Object> getInventoryData(String site, String inventory);
}