package com.foreverwin.mesnac.dispatch.controller;

import com.foreverwin.modular.core.util.R;
import com.foreverwin.modular.core.util.FrontPage;
import com.foreverwin.modular.core.util.CommonMethods;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import com.foreverwin.mesnac.dispatch.service.IssueItemService;
import com.foreverwin.mesnac.dispatch.model.IssueItem;
import java.util.List;

/**
 *
 * @author Leon.L
 * @since 2021-07-09
 */
@RestController
@RequestMapping("/Z-ISSUE-ITEM")
public class IssueItemController {

    @Autowired
    public IssueItemService issueItemService;

    @ResponseBody
    @GetMapping("/scanIssueInventory")
    public R scanIssueInventory(String item, String inventory){
        try {
            String site = CommonMethods.getSite();
            issueItemService.scanIssueInventory(site, item, inventory);
        } catch (Exception e) {
            return R.failed(e.getMessage());
        }

        return R.ok();
    }
}